package jfd.ale;

class ExternalMethodNode extends Node
{
   private String methodName = null;

   public ExternalMethodNode(String methodName)
   {
      this.methodName = methodName;
   }

   public void accept(Visitor v)
   {
      v.visited(this);
   }

   public String toString()
   {
      return(methodName + "()");
   }

   public String getName()
   {
      return(methodName);
   }

   public double execute(
      ConstraintLayout layout
   )
   {
      return(layout.invokeExternal(methodName));
   }
}
